**********************************************************************
* Duncan Amplfication Generic Triode Model (Spice 3F4 Implementation)
* Copyright (C)1997-2000 Duncan Amplfication
* Unauthorised Commercial use prohibited
* Please refer to documentation at http://www.duncanamps.com
*
* $MODEL_VERSION$ 3.1
* $AUTOGENERATED$ 06/06/99 18:20:46 
**********************************************************************
* CURRENT MODEL SET AND VERSIONS:
*
*       2A3                 [3.1, 05/01/98 ]
*       3CX300              [3.0, 30/12/97 ]
*       SV6AS7              [3.0, 30/12/97 ]
*       6BM8 / ECL82        [3.0, 31/12/97 ]
*       6DJ8 / ECC88        [3.0, 15/08/98 ]
*       6N1P                [3.0, 25/01/98 ]
*       6SN7GTB             [3.0, 30/12/97 ]
*       12AT7 / ECC81       [3.0, 30/12/97 ]
*       12AU7 / ECC82       [3.0, 30/12/97 ]
*       12AX7 / ECC83       [3.0, 30/12/97 ]
*       76                  [3.0, 12/02/98 ]
*       300B                [3.1, 06/01/98 ]
*       SV572-3             [3.0, 31/12/97 ]
*       SV572-10            [3.0, 20/06/98 ]
*       5751                [3.0, 15/02/98 ]
**********************************************************************
* CORE MODEL VERSION HISTORY:
*
*       1.0   23/09/97      Initial model
*       1.1   19/11/97      Model altered for 1 gig resistors between each node and ground
*       2.0   18/12/97      Two new parameters, ERP and ERI added
*       3.0   30/12/97      New parameter added, RAS
*       3.1   05/01/98      ERI parameter removed
*       3.2   06/01/98      Fix errors in Pspice model
*       3.3   13/01/98      Fixed errors with CDO parameter
*       3.4   25/01/98      Errors with heater versions using ERI  fixed
**********************************************************************
*
**********************************************************************
* GENERIC: 2A3
* MODEL:   NH2A3
* NOTES:   Virtual cathode
**********************************************************************
.SUBCKT NH2A3 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1.5 )* 0.003 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.0082 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 0.423522 )+URAMP(V(GG))* 0.005 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.0015 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 4.2 )
BEP  EP  0 V=(V(EM)^ 1.55 )*V(RP)* 0.0000868 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)- 0 )^1.5)* 0.0001 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.0000000000055 
CGK  G   K  0.0000000000075 
CGA  G   A  0.0000000000165 
.ENDS

**********************************************************************
* GENERIC: 3CX300
* MODEL:   NH3CX300
* NOTES:    
**********************************************************************
.SUBCKT NH3CX300 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1.5 )* 10 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.00536 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 1 )+URAMP(V(GG))* 0.005 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.0012 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 8.321 )
BEP  EP  0 V=(V(EM)^ 1.25 )*V(RP)* 0.000533 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)- 0 )^1.5)* 0.0001 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.000000000001 
CGK  G   K  0.000000000025 
CGA  G   A  0.00000000001 
.ENDS

**********************************************************************
* GENERIC: SV6AS7
* MODEL:   NHSV6AS7
* NOTES:    
**********************************************************************
.SUBCKT NHSV6AS7 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1 )* 0.01 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.0058 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 0.7 )+URAMP(V(GG))* 0.035 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.0017 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 2.05 )
BEP  EP  0 V=(V(EM)^ 1.5 )*V(RP)* 0.0005 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)- 0 )^1.5)* 0 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.000000000003 
CGK  G   K  0.000000000008 
CGA  G   A  0.000000000011 
.ENDS

**********************************************************************
* GENERIC: 6BM8 / ECL82
* MODEL:   NH6BM8
* NOTES:   No grid model
**********************************************************************
.SUBCKT NH6BM8 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1.5 )* 10 
BGG  GG  0 V=V(G)-V(K)--0.5 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.030667 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 5 )+URAMP(V(GG))* 0.587 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.035 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 50 )
BEP  EP  0 V=(V(EM)^ 1.5 )*V(RP)* 0.00000256 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)- 0 )^1.5)* 0 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.000000000004 
CGK  G   K  0.0000000000027 
CGA  G   A  0.000000000004 
.ENDS

**********************************************************************
* GENERIC: 6DJ8 / ECC88
* MODEL:   NH6DJ8
* NOTES:   No grid current model
**********************************************************************
.SUBCKT NH6DJ8 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1.5 )* 10 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.09 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 0.2 )+URAMP(V(GG))* 0 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.02 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 33 )
BEP  EP  0 V=(V(EM)^ 1.35 )*V(RP)* 0.0000795 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)--0.2 )^1.5)* 0 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.0000000000018 
CGK  G   K  0.0000000000033 
CGA  G   A  0.0000000000014 
.ENDS

**********************************************************************
* GENERIC: 6N1P
* MODEL:   NH6N1P
* NOTES:   No grid model
**********************************************************************
.SUBCKT NH6N1P A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1.5 )* 10 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.01 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 1 )+URAMP(V(GG))* 0 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.01 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 37.5 )
BEP  EP  0 V=(V(EM)^ 1.6 )*V(RP)* 0.000005 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)- 0 )^1.5)* 0 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.0000000000015 
CGK  G   K  0.0000000000032 
CGA  G   A  0.0000000000016 
.ENDS

**********************************************************************
* GENERIC: 6SN7GTB
* MODEL:   NH6SN7GTB
* NOTES:    
**********************************************************************
.SUBCKT NH6SN7GTB A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1 )* 0.0037 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.02 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 2 )+URAMP(V(GG))* 0.002 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.006167 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 19.2642 )
BEP  EP  0 V=(V(EM)^ 1.4 )*V(RP)* 0.0000189 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)- 0 )^1.5)* 0.000213 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.0000000000007 
CGK  G   K  0.0000000000024 
CGA  G   A  0.0000000000039 
.ENDS

**********************************************************************
* GENERIC: 12AT7 / ECC81
* MODEL:   NH12AT7
* NOTES:    
**********************************************************************
.SUBCKT NH12AT7 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1 )* 0.0037 
BGG  GG  0 V=V(G)-V(K)--0.5 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.09869 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 1 )+URAMP(V(GG))* 0.1 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.012937 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 45.093 )
BEP  EP  0 V=(V(EM)^ 1.4 )*V(RP)* 0.00000863 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)--0.5 )^1.5)* 0.00012 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.0000000000004 
CGK  G   K  0.0000000000023 
CGA  G   A  0.0000000000016 
.ENDS

**********************************************************************
* GENERIC: 12AU7 / ECC82
* MODEL:   NH12AU7
* NOTES:    
**********************************************************************
.SUBCKT NH12AU7 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1 )* 0.0037 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.0041813 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 16.48 )+URAMP(V(GG))* 0.032 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.006488 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 14.036 )
BEP  EP  0 V=(V(EM)^ 1.35 )*V(RP)* 0.0000236 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)- 0 )^1.5)* 0.00012 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.00000000000045 
CGK  G   K  0.0000000000018 
CGA  G   A  0.0000000000016 
.ENDS

**********************************************************************
* GENERIC: 12AX7 / ECC83
* MODEL:   NH12AX7
* NOTES:    
**********************************************************************
.SUBCKT NH12AX7 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1.5 )* 0.000016 
BGG  GG  0 V=V(G)-V(K)--0.53056 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.076498 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 1 )+URAMP(V(GG))* 0.18 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)*-0.013621 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 87.302 )
BEP  EP  0 V=(V(EM)^ 1.5 )*V(RP)* 0.00000111 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)--0.2 )^1.5)* 0.00001 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.0000000000007 
CGK  G   K  0.0000000000024 
CGA  G   A  0.0000000000039 
.ENDS

**********************************************************************
* GENERIC: 76
* MODEL:   NH76
* NOTES:   No grid model
**********************************************************************
.SUBCKT NH76 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1 )* 10 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.015 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 1.8 )+URAMP(V(GG))* 0 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.001 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 12.8 )
BEP  EP  0 V=(V(EM)^ 1.6 )*V(RP)* 0.000008 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)- 0 )^1.5)* 0 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.0000000000025 
CGK  G   K  0.0000000000035 
CGA  G   A  0.0000000000028 
.ENDS

**********************************************************************
* GENERIC: 300B
* MODEL:   NH300B
* NOTES:   No grid model (virtual cathode)
**********************************************************************
.SUBCKT NH300B A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1 )* 10 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.00311 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 1.013608 )+URAMP(V(GG))* 0 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.000362 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 3.7992 )
BEP  EP  0 V=(V(EM)^ 1.5 )*V(RP)* 0.000116 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)- 0 )^1.5)* 0 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.0000000000043 
CGK  G   K  0.000000000009 
CGA  G   A  0.000000000015 
.ENDS

**********************************************************************
* GENERIC: SV572-3
* MODEL:   SV5723
* NOTES:    
**********************************************************************
.SUBCKT SV5723 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1 )* 0.0018 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.0012 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 0.5 )+URAMP(V(GG))* 0 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.0002 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 3.79928 )
BEP  EP  0 V=(V(EM)^ 1.4 )*V(RP)* 0.0000425 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)- 0 )^1.5)* 0.0000349 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.000000000001 
CGK  G   K  0.000000000004 
CGA  G   A  0.000000000004 
.ENDS

**********************************************************************
* GENERIC: SV572-10
* MODEL:   SV57210
* NOTES:   This model is not accurate for Vg >= +60V
**********************************************************************
.SUBCKT SV57210 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1.4 )* 0.0008 
BGG  GG  0 V=V(G)-V(K)- 0 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.001 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 1 )+URAMP(V(GG))*-0.00117 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)* 0.0001 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 10 )
BEP  EP  0 V=(V(EM)^ 1.38 )*V(RP)* 0.0000272 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)--0.2 )^1.5)* 0.0003 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.000000000001 
CGK  G   K  0.0000000000064 
CGA  G   A  0.000000000005 
.ENDS

**********************************************************************
* GENERIC: 5751
* MODEL:   NH5751
* NOTES:    
**********************************************************************
.SUBCKT NH5751 A G K
* ANODE MODEL
BLIM LI  0 V=(URAMP(V(A)-V(K))^ 1.5 )* 0.000016 
BGG  GG  0 V=V(G)-V(K)--0.53056 
BRP1 RP1 0 V=URAMP(-V(GG)* 0.075772 )
BRP2 RP2 0 V=V(RP1)-URAMP(V(RP1)-0.999)
BRPF RP  0 V=(1-V(RP2)^ 1 )+URAMP(V(GG))* 0.131285 
BGR  GR  0 V=URAMP(V(GG))-URAMP(-(V(GG)*(1+V(GG)*-0.0111 )))
BEM  EM  0 V=URAMP(V(A)-V(K)+V(GR)* 62.94685 )
BEP  EP  0 V=(V(EM)^ 1.5 )*V(RP)* 0.00000142 
BEL1 EL1 0 V=URAMP(V(EP))
BEL  EL  0 V=V(EL1)-URAMP(V(EL1)-V(LI))
BLD  LD  0 V=URAMP(V(EP)-V(LI))
BAK  A   K I=V(EL)
* GRID MODEL
BGF  GF  0 V=(URAMP(V(G)-V(K)--0.2 )^1.5)* 0.00001 
BG   G   K I=V(GF)+V(LD)
* CAPS
CAK  A   K  0.00000000000045 
CGK  G   K  0.0000000000014 
CGA  G   A  0.0000000000014 
.ENDS

